import usb
from time import sleep # import time for delay
import math
import pylab #import matplotlib
from matplotlib.figure import Figure
from matplotlib.backends.backend_agg import FigureCanvasAgg as FigureCanvas




VENDOR_RQ_GET_TEMP = 1 #Define Temperature Sensor

def find_board():
    board = None
    for bus in usb.busses():
        for dev in bus.devices:
            if dev.idVendor == 0x16c0 and dev.idProduct == 0x05dc: #Define USB Device Number
                return dev
    return None



board = find_board()
handle = board.open()
x = 0
TEMP=0.0 
Buffer = 0.0
Max_temp = 0.0 #Maximum Temperature
Min_temp = 0.0 #Minimum Temperature
data = [] #List that will stack Temperature Data
time_delay = 0.05 #Set Delay time
time = 1
time_list = []
xl = []
yl = []


res =0.0
req = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_IN #Request Signal that Receive from Sensor

while(len(data) <= 200): #Setting how many values you want to USE on Graph
	temp = handle.controlMsg(req,1,2)
	x = (temp[0]*256)+(temp[1])
	Buffer = ((x * 5.0) / (1024.0))
	Buffer = Buffer * 100
	data.append(Buffer)
	time = time + 1
	time_list.append(time)
	Min_temp = Buffer
	print Buffer
	if Buffer > Max_temp:
		Max_temp = Buffer
	if Buffer < Min_temp:
		Min_temp = Buffer
	sleep(time_delay) 


for i in data:
	xl.append(i)
for j in time_list:
	yl.append(j)
pylab.plot(yl,xl,'b')
pylab.savefig('Fig.png') #Save output Graph in Image file (.png)
pylab.show() #Show output Graph (Image(.png))

	

